<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta name="description" content=""/>
    <meta name="author" content="zRed"/>
    <base href="/">
    <link rel="shortcut icon" href="favicon.ico"/>
    <link rel="stylesheet" href="lib/bootstrap/css/bootstrap.css"/>
    <link rel="stylesheet" href="lib/datatables/css/dataTables.bootstrap.css" />
    <link rel="stylesheet" href="lib/sidenav/sidenav.min.css"/>
    <link rel="stylesheet" href="lib/font-awesome/css/font-awesome.css"/>
    <link rel="stylesheet" href="lib/jquery.lineProgressbar/jquery.lineProgressbar.css" type="text/css"/>
    <link rel="stylesheet" href="lib/offline.min.css" type="text/css"/>
    <link rel="stylesheet" href="openZmeter.css"/>
    <title>openZmeter - Events - EN50160</title>
  </head>
  <body onload="StartPageLoad()">
    <span data-load-block="Header_Block"></span>
    <div id="wrapper">

        <div class="row">
          <div class="col-lg-12">
            <div class="panel panel-info" id="QualityPanel">
              <div id="EN50160Spinner" class="spinnerdiv"></div>
              <div class="panel-heading">
                <span class="huge-small">EN50160</span>
                <div class="pull-right">
                  <span class="small">Year:</span><br>
                  <div class="btn-group" id="YearSelector">
                  </div>
                </div>
                <div class="pull-right">&nbsp;</div>
                <div class="pull-right">
                  <span class="small">Weeks:</span><br>
                  <div class="btn-group" id="WeekList"></div>
                </div>
                <div class="pull-right">&nbsp;</div>
                <div class="pull-right" style="width: 200px">
                  <span class="small">Year progress:</span><br>
                  <div class="progress" style="margin-bottom:0px; height: 21px; margin-top: 4px">
                    <div class="progress-bar" id="ProgressYear" role="progressbar" style="width:0%"></div>
                  </div>
                </div>
                <span class="clearfix"> </span>
              </div>
              <div id="ShowAnual" style="padding: 5px">
                <div class="row">
                  <div class="col col-lg-3 col-md-6 col-xs-12">
                    <div class="panel panel-lightblue-info text-center" style="position: relative">
                      <p><span class="huge-small">Voltage swell or dips</span><br/>Less than 1 min and -15%/+10% nominal voltage</p>
                      <div class="progress" style="margin-bottom:0px; position: relative">
                        <div class="progress-bar" id="DipEvents" role="progressbar" style="width:0%; background-color: #5cb85c; position: absolute"></div>
                        <span id="DipEventsText" style="color: #333; position: absolute; left: 0px; width: 100%; text-align: center"></span>
                      </div>
                      <div style="font-size: 10px">10 to 1000 allowed per year</div>
                    </div>
                  </div>
                  <div class="col col-lg-3 col-md-6 col-xs-12">
                    <div class="panel panel-lightblue-info text-center">
                      <p><span class="huge-small">Short interruptions</span><br/>Less than 3 min and under 1% nominal voltage</p>
                      <div class="progress" style="margin-bottom:0px; position: relative">
                        <div class="progress-bar" id="ShortEvents" role="progressbar" style="width:0%; background-color: #5cb85c; position: absolute"></div>
                        <span id="ShortEventsText" style="color: #333; position: absolute; left: 0px; width: 100%; text-align: center"></span>
                      </div>
                      <div style="font-size: 10px">10 to 100 allowed per year</div>
                    </div>
                  </div>                  
                  <div class="col col-lg-3 col-md-6 col-xs-12">
                    <div class="panel panel-lightblue-info text-center">
                      <p><span class="huge-small">Long interruptions</span><br/>More than 3 min and under 1% nominal voltage</p>
                      <div class="progress" style="margin-bottom:0px; position: relative">
                        <div class="progress-bar" id="LongEvents" role="progressbar" style="width:0%; background-color: #5cb85c; position: absolute"></div>
                        <span id="LongEventsText" style="color: #333; position: absolute; left: 0px; width: 100%; text-align: center"></span>
                      </div>
                      <div style="font-size: 10px">10 to 50 allowed per year</div>
                    </div>
                  </div>
                  <div class="col col-lg-3 col-md-6 col-xs-12">
                    <div class="panel panel-lightblue-info text-center">
                      <p><span class="huge-small">Harmonics</span><br/>Harmonics in valid ranges as detailed in EN50160</p>
                      <div class="progress" style="margin-bottom:0px; position: relative">
                        <div class="progress-bar" id="HarmonicsInRange" role="progressbar" style="width:0%; background-color: #5cb85c; position: absolute"></div>
                        <span id="HarmonicsInRangeText" style="color: #333; position: absolute; left: 0px; width: 100%; text-align: center"></span>
                      </div>
                      <div style="float: left; font-size: 10px">90%</div><div style="float:right; font-size: 10px">100%</div>
                      <div class="clearfix"></div>
                    </div>
                  </div>
                </div>
                <div class="row">
                  <div class="col col-lg-4 col-md-12">
                    <div class="panel panel-default" style="margin: 5px">
                      <div class="panel-heading">
                        Grid frequency
                        <div id="FreqWarning" class="title-warning hidden"><i class="fa fa-warning" style="color: #d9534f"></i> Exceded</div>
                        <div class="pull-right small" id="GridFrequencyLegend"></div>
                      </div>
                      <div id="FrequencyChart" style="margin: 5px; min-height: 240px"></div>
                      <div class="panel-footer">
                        <div class="text-center">99.5% of the year between <span id="GridNominalFreq">?</span>±1%Hz with no events allowed outside 47 to 52Hz</div>
                        <div class="progress" style="margin-top:5px; margin-bottom:0px; position: relative; background-color: #FFF">
                          <div class="progress-bar" id="FreqInRange" role="progressbar" style="width:0%; background-color: #5cb85c; position: absolute"></div>
                          <span id="FreqInRangeText" style="position: absolute; left: 0px; width: 100%; position: absolute; text-align: center"></span>
                        </div>
                        <div style="float: left; font-size: 10px">90%</div><div style="float:right; font-size: 10px">100%</div>
                        <div class="clearfix"></div>
                      </div>
                    </div>
                  </div>
                  <div class="col col-lg-4 col-md-12">
                    <div class="panel panel-default" style="margin: 5px">
                      <div class="panel-heading">
                        Grid Voltage
                        <div id="VoltageWarning" class="title-warning hidden"><i class="fa fa-warning" style="color: #d9534f"></i> Exceded</div>
                        <div class="pull-right small" id="GridVoltageLegend"></div>
                      </div>
                      <div id="VoltageChart" style="margin: 5px; min-height: 240px"></div>
                      <div class="panel-footer">
                        <div class="text-center">95% of the year between <span id="GridNominalVoltage">?</span>±10% V with no events allowed outside ±10%</div>
                        <div class="progress" style="margin-top:5px; margin-bottom:0px; position: relative; background-color: #FFF">
                          <div class="progress-bar" id="VoltageInRange" role="progressbar" style="width:0%; background-color: #5cb85c; position: absolute"></div>
                          <span id="VoltageInRangeText" style="position: absolute; left: 0px; width: 100%; position: absolute; text-align: center"></span>
                        </div>
                        <div style="float: left; font-size: 10px">90%</div><div style="float:right; font-size: 10px">100%</div>
                        <div class="clearfix"></div>
                      </div>
                    </div>
                  </div>
                  <div class="col col-lg-4 col-md-12">
                    <div class="panel panel-default" style="margin: 5px">
                      <div class="panel-heading">
                        Harmonic distorsion
                        <div id="THDWarning" class="title-warning hidden"><i class="fa fa-warning" style="color: #d9534f"></i> Exceded</div>
                        <div class="pull-right small" id="THDLegend"></div>
                      </div>
                      <div id="THDChart" style="margin: 5px; min-height: 240px"></div>
                      <div class="panel-footer">
                        <div class="text-center">100% of the year under 8%</div>
                        <div class="progress" style="margin-top:5px; margin-bottom:0px; position: relative; background-color: #FFF">
                          <div class="progress-bar" id="THDInRange" role="progressbar" style="width:0%; background-color: #5cb85c; position: absolute"></div>
                          <span id="THDInRangeText" style="position: absolute; left: 0px; width: 100%; position: absolute; text-align: center"></span>
                        </div>
                        <div style="float: left; font-size: 10px">90%</div><div style="float:right; font-size: 10px">100%</div>
                        <div class="clearfix"></div>
                      </div>
                    </div>
                  </div>
                </div>
              </div>
            </div>
          </div>

      </div>
    </div>
    <script src="lib/jquery.min.js"></script>
    <script src="lib/bootstrap/js/bootstrap.min.js"></script>
    <script src="lib/sidenav/sidenav.min.js"></script>
    <script src="lib/spin.min.js"></script>
    <script src="lib/dygraph/dygraph.min.js"></script>
    <script src="lib/dygraph/crosshair.js"></script>
    <script src="lib/dygraph/dygraph-interaction.js"></script>
    <script src="lib/dygraph/synchronize.js"></script>
    <script src="lib/dygraph/chart-plotter.js"></script>
    <script src="lib/offline.min.js"></script>
    <script src="lib/moment.min.js"></script>
    <script src="lib/momentjs/moment-duration-format.js"></script>  
    <script src="lib/datatables/js/jquery.dataTables.js"></script>
    <script src="lib/datatables/js/dataTables.bootstrap.js"></script>
    <script src="openZmeter.js"></script>
    <script src="Events_EN50160.js"></script>
  </body>
</html>
